XCP-ng 8.1.0 beta now available!

  • XCP-ng Team

    This thread is now read-only. Testing feedback now happens on the thread dedicated to the 8.1 RC release.

    Hello to everyone.

    The beta release of XCP-ng 8.1 is available right now 🚀 .

    What changed

    Non-exhaustive list:

    • Based on Citrix Hypervisor 8.1 (https://docs.citrix.com/en-us/citrix-hypervisor/whats-new.html).
    • Same base version of CentOS (7.5), same base version of kernel (4.19, with more patches of course)
    • Xen 4.13
    • UEFI support for guests is not experimental anymore
    • Support for Secure Boot is NOT INCLUDED because it relies on Proprietary packages. We're raising the issue with the Xen community to see how to provide a FOSS implementation.
    • Citrix announces:
      • "Improved performance for VM imports and exports that use the XVA format" thanks to the use of a very efficient hash algorithm
      • "Storage performance improvements"
      • "New Windows I/O drivers with improved performance"
      • (From https://bugs.xenserver.org/browse/XSO-951) The next update (apparently not published yet as of 2020-01-27) of the Windows Drivers through Windows Update should at last be compatible with non-english locales!
    • chrony replaces ntp
    • Support for PV guests is now deprecated
      • templates for creating PV guests have been removed
      • existing guests will still run
      • it is advised to convert them to HVM guests
      • a compatibility layer should be provided in the future for PV guests that really can't be converted. But really anyone who can convert to HVM, should
      • due to how 32-bit PV guests work, keeping it functioning on newer hardware with newer features comes with an increasing performance cost, and the linux kernel is about to drop support for 32-bit PV guests
    • Support for AMD EPYC 7xx2(P) added
    • Dynamic Memory Control (DMC) is deprecated and will be removed in the future.
    • VSS and quiesced snapshots support is removed, because it never worked correctly and caused more harm than good.
      • For backups, we are working on support for backups that include the guest RAM to replace the need for quiesced snapshots.
      • Note that Windows guest tools version 9 (the default for recent versions of Windows if you install through Windows Update) already removed VSS support, even for older versions of CH / XCP-ng
    • For new local storage repositories using the EXT filesystem, it now defaults to ext4.
      • The transition from our experimental ext4 storage driver is not automatic so you still need the sm-additional-drivers package if you have such a local storage repository.
      • We will try to provide an automated conversion from the ext4 experimental driver to the ext driver for the RC (release candidate) release of XCP-ng. If we can't, we'll document the transition.
    • Status of our specific packages:
      • Support for XFS in local storage repository still available through the sm-additional-drivers package.
      • ZFS still available as an additional package and updated to 0.8.2. We may update to 0.8.3 for the RC release of XCP-ng.
      • Alternate kernel: none available yet for 8.1, work in progress
      • netdata RPMs are not ready yet: waiting for Xen 4.13 support added by @r1, needs testing: https://github.com/netdata/netdata/issues/7803

    2020-02-20 update

    Announcement about our former experimental ext4 SR driver:

    It is now deprecated in 8.1. For a good reason: in XCP-ng 8.1 and above, following upstream changes, the ext driver now formats new SRs as EXT4.

    There is no easy way to convert an existing SR created with our driver, so those using it will need to move the VDIs out (to another SR or to export them), destroy the SR and create an EXT SR instead. Make sure to do this on XCP-ng 8.1.

    The sm-additional-drivers package remains available in XCP-ng 8.1 in order to ease the transition. However I've broken the sr-create command on purpose. Any attempt to create a SR of type ext4 will result in an error with a message that explains that you need to use the ext type instead.

    Our experimental driver will be completely removed in a later release, possibly XCP-ng 8.2. Unless someone convinces me to delay the removal for a good reason. I will accept reasons such as "I know I shouldn't have used the experimental driver in production, but I did and need more time to convert my SR while at the same time I really need feature xxx from XCP-ng 8.2", but I really would prefer to drop it in 8.2.

    Feedback from people doing the transition is welcome to make sure we document the transition in the best way possible.

    Documentation

    At this stage you should already be aware that our main documentation is in our wiki and you should also know that you can all take part in completing it. It's improving continuously and still has room for improvement.

    How to upgrade

    Since XCP-ng 8.1.0 is a minor release, both upgrade methods are supported:

    • From the installation ISO
    • From command line using yum

    Refer to the upgrade howto: https://github.com/xcp-ng/xcp/wiki/Upgrade-Howto

    Downloads:

    If your browser tells you that the page is redirected in a way that prevents from loading the page correctly, this is a know issue. Long story short, it's caused by a wrong security header sent by the forum software, which impacts all non HTTPS requests to the xcp-ng.org domain. Try in Private Navigation mode or use curl or wget.

    It's a good habit to check your downloaded ISO against the SHA256 sum and for better security also check the signature of those sums. Although our mirror redirector does try to detect file changes on mirrors, it's should always be envisioned that a mirror (or in the worst case our source mirror) gets hacked and managed to provide both fake ISOs and SHA256 sums. But they can't fake the signature. See https://github.com/xcp-ng/xcp/wiki/How-to-check-the-authenticity-of-files-downloaded-from-XCP-mirrors.

    Stay up to date

    Run yum update regularly. We'll fix bugs that are detected regularly until the final release. Subscribe to this thread (and make sure to activate mail notifications in the forum parameters if you need them): we'll announce every important update to the RC here.

    What to test

    Everything and Anything!

    Report or ask anything as replies to this thread.

    A community effort to list things to be tested has been started at https://github.com/xcp-ng/xcp/wiki/Test-XCP

    Feedback is welcome both about successes and failures.


  • Thanks for the update! I've installed the update on one of my servers, it works. If it will work fine I'll try on another server.

    Are there some technical issues that would explain why Dynamic Memory Control was deprecated by Citrix?


  • @adriangabura said in XCP-ng 8.1.0 beta now available!:

    Thanks for the update! I've installed the update on one of my servers, it works. If it will work fine I'll try on another server.

    Are there some technical issues that would explain why Dynamic Memory Control was deprecated by Citrix?

    There was some talk about in https://xcp-ng.org/forum/topic/2254/citrix-hypervisor-8-1-released/23 .
    Personally I am happy to see DMC go. I've not used it for years now after VMs sometimes crashed due to running out of memory. At that time the ballooning would happen during every live migration if I remember correctly, even though there was plenty of RAM available.


  • @Ultra2D Yeah I noticed on my vms they wouldn't always release the memory when asked to. Anyway thanks for providing the link!


  • How can I upgrade from 8.0 to 8.1 beta from the command line?
    (I have the dell software installed so prefer the yum update proces over the iso update 🙂 )

    I followed the instructions from the Upgrade-Howto, but when using yum update at the end there are no updates available.

    [11:30 xenserver-2 ~]# export VER=8.1
    [11:30 xenserver-2 ~]# wget https://updates.xcp-ng.org/8/xcp-ng-$VER.repo -O xcp-ng-$VER.repo--2020-02-01 11:30:36--  https://updates.xcp-ng.org/8/xcp-ng-8.1.repo
    Resolving updates.xcp-ng.org (updates.xcp-ng.org)... 212.129.36.176
    Connecting to updates.xcp-ng.org (updates.xcp-ng.org)|212.129.36.176|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 705 [application/octet-stream]
    Saving to: ‘xcp-ng-8.1.repo’
    
    100%[===================================================>] 705         --.-K/s   in 0s
    
    2020-02-01 11:30:36 (33.9 MB/s) - ‘xcp-ng-8.1.repo’ saved [705/705]
    
    [11:30 xenserver-2 ~]# wget https://updates.xcp-ng.org/8/SHA256SUMS -O SHA256SUMS
    --2020-02-01 11:30:36--  https://updates.xcp-ng.org/8/SHA256SUMS
    Resolving updates.xcp-ng.org (updates.xcp-ng.org)... 212.129.36.176
    Connecting to updates.xcp-ng.org (updates.xcp-ng.org)|212.129.36.176|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 82 [application/octet-stream]
    Saving to: ‘SHA256SUMS’
    
    100%[===================================================>] 82          --.-K/s   in 0s
    
    2020-02-01 11:30:36 (3.84 MB/s) - ‘SHA256SUMS’ saved [82/82]
    
    [11:30 xenserver-2 ~]# wget https://updates.xcp-ng.org/8/SHA256SUMS.asc -O SHA256SUMS.asc
    --2020-02-01 11:30:42--  https://updates.xcp-ng.org/8/SHA256SUMS.asc
    Resolving updates.xcp-ng.org (updates.xcp-ng.org)... 212.129.36.176
    Connecting to updates.xcp-ng.org (updates.xcp-ng.org)|212.129.36.176|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 455 [application/octet-stream]
    Saving to: ‘SHA256SUMS.asc’
    
    100%[===================================================>] 455         --.-K/s   in 0s
    
    2020-02-01 11:30:42 (21.2 MB/s) - ‘SHA256SUMS.asc’ saved [455/455]
    
    [11:30 xenserver-2 ~]# cp xcp-ng-$VER.repo /etc/yum.repos.d/xcp-ng.repo
    cp: overwrite ‘/etc/yum.repos.d/xcp-ng.repo’? y
    [11:31 xenserver-2 ~]# yum clean metadata
    Loaded plugins: fastestmirror
    Cleaning repos: dell-system-update_dependent dell-system-update_independent xcp-ng-base
                  : xcp-ng-updates
    11 metadata files removed
    10 sqlite files removed
    0 metadata files removed
    [11:31 xenserver-2 ~]# yum update
    Loaded plugins: fastestmirror
    Determining fastest mirrors
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-base: mirrors.xcp-ng.org
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-updates: mirrors.xcp-ng.org
    dell-system-update_dependent                                          | 2.3 kB  00:00:00
    dell-system-update_independent                                        | 2.3 kB  00:00:00
    xcp-ng-base/signature                                                 |  473 B  00:00:00
    xcp-ng-base/signature                                                 | 3.0 kB  00:00:00 !!!
    xcp-ng-updates/signature                                              |  473 B  00:00:00
    xcp-ng-updates/signature                                              | 3.0 kB  00:00:00 !!!
    (1/4): xcp-ng-base/primary_db                                         | 1.2 MB  00:00:00
    (2/4): xcp-ng-updates/primary_db                                      |  70 kB  00:00:00
    (3/4): dell-system-update_dependent/7/x86_64/primary_db               |  27 kB  00:00:01
    (4/4): dell-system-update_independent/primary_db                      | 127 kB  00:00:01
    No packages marked for update
    
  • XCP-ng Team

    Ping @stormi

  • XCP-ng Team

    @HeMaN The steps you followed look fine to me, so I'm surprised by the result.

    Can you give me the output of:

    rpm -q xcp-ng-release
    

    and

    yum repolist --verbose
    

    ?


  • Hi All,

    I just tried to install the beta through yum following the guide, however I am getting the below error when doing an "yum update"

    [14:10 xcp-ghf-peg01 ~]# yum update
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-base: mirrors.xcp-ng.org
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-updates: mirrors.xcp-ng.org
    Resolving Dependencies
    --> Running transaction check
    ---> Package avago-megaraid-sas.x86_64 0:07.707.50.00+rc1-1.xcpng8.0 will be updated
    ---> Package avago-megaraid-sas.x86_64 0:07.707.50.00+rc1-1.xcpng8.1 will be an update
    ---> Package avago-mpt3sas.x86_64 0:27.101.00.00-1.xcpng8.0 will be updated
    ---> Package avago-mpt3sas.x86_64 0:27.101.00.00-1.xcpng8.1 will be an update
    ---> Package biosdevname.x86_64 0:0.3.10-2.xcpng8.0 will be updated
    ---> Package biosdevname.x86_64 0:0.3.10-2.xcpng8.1 will be an update
    ---> Package blktap.x86_64 0:3.22.0-1.0.xcpng8.0 will be updated
    ---> Package blktap.x86_64 0:3.30.0-1.0.xcpng8.1 will be an update
    ---> Package broadcom-bnxt-en.x86_64 0:1.10.0-1.xcpng8.0 will be updated
    ---> Package broadcom-bnxt-en.x86_64 0:1.10.0-1.xcpng8.1 will be an update
    ---> Package bugtool-conn-tests.noarch 0:1.1.10-1.xcpng8.0 will be updated
    ---> Package bugtool-conn-tests.noarch 0:1.2.6-1.xcpng8.1 will be an update
    ---> Package busybox.x86_64 0:1.22.1-2.xcpng8.0 will be updated
    ---> Package busybox.x86_64 0:1.22.1-2.xcpng8.1 will be an update
    ---> Package cheliso-cxgb4.x86_64 0:1.0.1-1.xcpng8.0 will be obsoleted
    ---> Package chelsio-cxgb4.x86_64 0:1.0.1-2.xcpng8.1 will be obsoleting
    ---> Package cisco-enic.x86_64 1:3.2.189.0-1.xcpng8.0 will be updated
    ---> Package cisco-enic.x86_64 1:3.2.189.0-1.xcpng8.1 will be an update
    ---> Package cisco-fnic.x86_64 1:1.6.0.47-1.xcpng8.0 will be updated
    ---> Package cisco-fnic.x86_64 1:1.6.0.47-1.xcpng8.1 will be an update
    ---> Package control-slice.x86_64 0:1.2.1-1.xcpng8.0 will be updated
    ---> Package control-slice.x86_64 0:1.2.1-1.xcpng8.1 will be an update
    ---> Package conversion-plugin.noarch 0:8.0.0-1.2.xcpng8.0 will be obsoleted
    ---> Package corosync.x86_64 0:2.4.3-13.xs+2.0.0.xcpng8.0 will be updated
    ---> Package corosync.x86_64 0:2.4.3-13.xs+2.0.0.xcpng8.1 will be an update
    ---> Package corosynclib.x86_64 0:2.4.3-13.xs+2.0.0.xcpng8.0 will be updated
    ---> Package corosynclib.x86_64 0:2.4.3-13.xs+2.0.0.xcpng8.1 will be an update
    ---> Package device-mapper.x86_64 7:1.02.146-6.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper.x86_64 7:1.02.149-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package device-mapper-event.x86_64 7:1.02.146-6.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper-event.x86_64 7:1.02.149-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package device-mapper-event-libs.x86_64 7:1.02.146-6.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper-event-libs.x86_64 7:1.02.149-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package device-mapper-libs.x86_64 7:1.02.146-6.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper-libs.x86_64 7:1.02.149-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package device-mapper-multipath.x86_64 0:0.4.9-119.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper-multipath.x86_64 0:0.4.9-119.xs+1.2.xcpng8.1 will be an update
    ---> Package device-mapper-multipath-libs.x86_64 0:0.4.9-119.xs+1.2.xcpng8.0 will be updated
    ---> Package device-mapper-multipath-libs.x86_64 0:0.4.9-119.xs+1.2.xcpng8.1 will be an update
    ---> Package dracut.x86_64 0:033-535.el7_5.1 will be updated
    ---> Package dracut.x86_64 0:033-535.el7_5.1.xs1.1.0.xcpng8.1 will be an update
    ---> Package dracut-network.x86_64 0:033-535.el7_5.1 will be updated
    ---> Package dracut-network.x86_64 0:033-535.el7_5.1.xs1.1.0.xcpng8.1 will be an update
    ---> Package edk2.x86_64 0:20180522git4b8552d-1.3.2.xcpng8.0 will be updated
    ---> Package edk2.x86_64 0:20180522git4b8552d-1.4.2.xcpng8.1 will be an update
    ---> Package emulex-lpfc.x86_64 0:12.0.0.10-1.xcpng8.0 will be updated
    ---> Package emulex-lpfc.x86_64 0:12.0.0.10-1.xcpng8.1 will be an update
    ---> Package ethtool.x86_64 2:4.19-1.xcpng8.0 will be updated
    ---> Package ethtool.x86_64 2:4.19-1.xcpng8.1 will be an update
    ---> Package fcoe-utils.x86_64 0:1.0.30-3.git91c0c8c.xcpng8.0 will be updated
    ---> Package fcoe-utils.x86_64 0:1.0.30-3.git91c0c8c.xcpng8.1 will be an update
    ---> Package forkexecd.x86_64 0:1.15.0-1.xcpng8.0 will be updated
    ---> Package forkexecd.x86_64 0:1.17.0-2.xcpng8.1 will be an update
    ---> Package grub.x86_64 1:2.02-2.1.xcpng8.0 will be updated
    ---> Package grub.x86_64 1:2.02-3.0.0.xcpng8.1 will be an update
    ---> Package grub-efi.x86_64 1:2.02-2.1.xcpng8.0 will be updated
    ---> Package grub-efi.x86_64 1:2.02-3.0.0.xcpng8.1 will be an update
    ---> Package grub-tools.x86_64 1:2.02-2.1.xcpng8.0 will be updated
    ---> Package grub-tools.x86_64 1:2.02-3.0.0.xcpng8.1 will be an update
    ---> Package guest-templates-json.noarch 0:1.7.21-1.2.xcpng8.0 will be updated
    ---> Package guest-templates-json.noarch 0:1.8.10-1.1.xcpng8.1 will be an update
    ---> Package guest-templates-json-data-linux.noarch 0:1.7.21-1.2.xcpng8.0 will be updated
    ---> Package guest-templates-json-data-linux.noarch 0:1.8.10-1.1.xcpng8.1 will be an update
    ---> Package guest-templates-json-data-other.noarch 0:1.7.21-1.2.xcpng8.0 will be updated
    ---> Package guest-templates-json-data-other.noarch 0:1.8.10-1.1.xcpng8.1 will be an update
    ---> Package guest-templates-json-data-windows.noarch 0:1.7.21-1.2.xcpng8.0 will be updated
    ---> Package guest-templates-json-data-windows.noarch 0:1.8.10-1.1.xcpng8.1 will be an update
    ---> Package guest-templates-json-data-xenapp.noarch 0:1.7.21-1.2.xcpng8.0 will be updated
    ---> Package guest-templates-json-data-xenapp.noarch 0:1.8.10-1.1.xcpng8.1 will be an update
    ---> Package host-upgrade-plugin.noarch 0:2.1.0-1.xcpng8.0 will be updated
    ---> Package host-upgrade-plugin.noarch 0:2.2.0-1.xcpng8.1 will be an update
    ---> Package htop.x86_64 0:2.2.0-3.1.xcpng8.0 will be updated
    ---> Package htop.x86_64 0:2.2.0-3.2.xcpng8.1 will be an update
    ---> Package intel-e1000e.x86_64 0:3.4.2.1-1.xcpng8.0 will be updated
    ---> Package intel-e1000e.x86_64 0:3.4.2.1-1.xcpng8.1 will be an update
    ---> Package intel-fm10k.x86_64 0:0.26.1-1.xcpng8.0 will be updated
    ---> Package intel-fm10k.x86_64 0:0.26.1-1.xcpng8.1 will be an update
    ---> Package intel-i40e.x86_64 0:2.9.21-1.xcpng8.0 will be updated
    ---> Package intel-i40e.x86_64 0:2.9.21-1.xcpng8.1 will be an update
    ---> Package intel-igb.x86_64 0:5.3.5.20-1.xcpng8.0 will be updated
    ---> Package intel-igb.x86_64 0:5.3.5.20-1.xcpng8.1 will be an update
    ---> Package intel-ixgbe.x86_64 0:5.5.2-2.xcpng8.0 will be updated
    ---> Package intel-ixgbe.x86_64 0:5.5.2-2.xcpng8.1 will be an update
    ---> Package interface-rename.noarch 0:2.0.2-1.1.xcpng8.0 will be updated
    ---> Package interface-rename.noarch 0:2.0.3-1.xcpng8.1 will be an update
    ---> Package iproute.x86_64 0:4.19.0-1.xcpng8.0 will be updated
    ---> Package iproute.x86_64 0:4.19.0-1.xcpng8.1 will be an update
    ---> Package ipxe.noarch 0:20121005-1.0.2.xcpng8.0 will be updated
    ---> Package ipxe.noarch 0:20121005-1.0.3.xcpng8.1 will be an update
    ---> Package irqbalance.x86_64 3:1.0.7-11.xcpng8.0 will be updated
    ---> Package irqbalance.x86_64 3:1.0.7-11.xcpng8.1 will be an update
    ---> Package kernel.x86_64 0:4.19.19-5.0.9.1.xcpng8.0 will be updated
    ---> Package kernel.x86_64 0:4.19.19-6.0.9.1.xcpng8.1 will be an update
    ---> Package kexec-tools.x86_64 1:2.0.15-13.xcpng8.0 will be updated
    ---> Package kexec-tools.x86_64 1:2.0.15-14.xcpng8.1 will be an update
    ---> Package kpartx.x86_64 0:0.4.9-119.xs+1.2.xcpng8.0 will be updated
    ---> Package kpartx.x86_64 0:0.4.9-119.xs+1.2.xcpng8.1 will be an update
    ---> Package kpatch.x86_64 0:0.6.2-1.xcpng8.0 will be updated
    ---> Package kpatch.x86_64 0:0.6.2-1.xcpng8.1 will be an update
    ---> Package libdrm.x86_64 0:2.4.83-2.1.xcpng8.0 will be updated
    ---> Package libdrm.x86_64 0:2.4.83-2.1.1.xcpng8.1 will be an update
    ---> Package libempserver.x86_64 0:1.0.4-2.xcpng8.0 will be updated
    ---> Package libempserver.x86_64 0:1.0.4-2.xcpng8.1 will be an update
    ---> Package linux-firmware.noarch 0:20180606-2.xcpng8.0 will be updated
    ---> Package linux-firmware.noarch 0:20190314-1.xcpng8.1 will be an update
    ---> Package linux-guest-loader.noarch 0:2.3.1-1.xcpng8.0 will be updated
    ---> Package linux-guest-loader.noarch 0:2.3.1-1.xcpng8.1 will be an update
    ---> Package linux-guest-loader-data.noarch 0:2.3.1-1.xcpng8.0 will be updated
    ---> Package linux-guest-loader-data.noarch 0:2.3.1-1.xcpng8.1 will be an update
    ---> Package lldpad.x86_64 0:1.0.1-3.git036e314.xcpng8.0 will be updated
    ---> Package lldpad.x86_64 0:1.0.1-3.git036e314.xcpng8.1 will be an update
    ---> Package logrotate.x86_64 0:3.8.6-15.el7 will be updated
    ---> Package logrotate.x86_64 0:3.8.6-17.xs1.0.0.xcpng8.1 will be an update
    ---> Package lvm2.x86_64 7:2.02.177-6.xs+1.2.xcpng8.0 will be updated
    ---> Package lvm2.x86_64 7:2.02.180-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package lvm2-libs.x86_64 7:2.02.177-6.xs+1.2.xcpng8.0 will be updated
    ---> Package lvm2-libs.x86_64 7:2.02.180-11.xs+2.0.2.xcpng8.1 will be an update
    ---> Package makedumpfile.x86_64 0:1.5.8-2.xcpng8.0 will be updated
    ---> Package makedumpfile.x86_64 0:1.5.8-2.xcpng8.1 will be an update
    ---> Package message-switch.x86_64 0:1.19.0-2.xcpng8.0 will be updated
    ---> Package message-switch.x86_64 0:1.22.0-2.xcpng8.1 will be an update
    ---> Package microcode_ctl.x86_64 2:2.1-26.xs10.xcpng8.0 will be updated
    ---> Package microcode_ctl.x86_64 2:2.1-26.xs10.xcpng8.1 will be an update
    ---> Package ntp.x86_64 0:4.2.6p5-28.el7.centos will be obsoleted
    ---> Package ntpdate.x86_64 0:4.2.6p5-28.el7.centos will be obsoleted
    ---> Package ocaml-xenops-tools.x86_64 0:2.4.0-1.xcpng8.0 will be updated
    ---> Package ocaml-xenops-tools.x86_64 0:2.6.0-2.xcpng8.1 will be an update
    ---> Package openssh.x86_64 0:7.4p1-16.el7 will be updated
    ---> Package openssh.x86_64 0:7.4p1-21.el7 will be an update
    ---> Package openssh-clients.x86_64 0:7.4p1-16.el7 will be updated
    ---> Package openssh-clients.x86_64 0:7.4p1-21.el7 will be an update
    ---> Package openssh-server.x86_64 0:7.4p1-16.el7 will be updated
    ---> Package openssh-server.x86_64 0:7.4p1-21.el7 will be an update
    ---> Package openvswitch.x86_64 0:2.5.3-2.2.3.4.xcpng8.0 will be updated
    ---> Package openvswitch.x86_64 0:2.5.3-2.3.3.1.xcpng8.1 will be an update
    ---> Package pbis-open.x86_64 0:8.2.3-1.7.3.xcpng8.0 will be updated
    ---> Package pbis-open.x86_64 0:8.2.3-1.7.4.xcpng8.1 will be an update
    ---> Package pbis-open-upgrade.x86_64 0:8.2.2-3.xcpng8.0 will be updated
    ---> Package pbis-open-upgrade.x86_64 0:8.2.2-3.xcpng8.1 will be an update
    ---> Package protobuf.x86_64 0:3.6.1-4.xcpng8.0 will be updated
    ---> Package protobuf.x86_64 0:3.6.1-4.1.xcpng8.1 will be an update
    ---> Package protobuf-c.x86_64 0:1.3.1-2.xcpng8.0 will be updated
    ---> Package protobuf-c.x86_64 0:1.3.1-2.1.xcpng8.1 will be an update
    ---> Package qemu.x86_64 2:2.10.2-4.2.0.xcpng8.0 will be updated
    ---> Package qemu.x86_64 2:2.10.2-4.4.1.xcpng8.1 will be an update
    ---> Package qlogic-fastlinq.x86_64 0:8.37.30.0-3.xcpng8.0 will be updated
    ---> Package qlogic-fastlinq.x86_64 0:8.37.30.0-3.xcpng8.1 will be an update
    ---> Package qlogic-netxtreme2.x86_64 0:7.14.53-1.xcpng8.0 will be updated
    ---> Package qlogic-netxtreme2.x86_64 0:7.14.53-1.xcpng8.1 will be an update
    ---> Package qlogic-netxtreme2-4.19.0+1-modules.x86_64 0:7.14.53-1.xcpng8.0 will be updated
    ---> Package qlogic-netxtreme2-4.19.0+1-modules.x86_64 0:7.14.53-1.xcpng8.1 will be an update
    ---> Package qlogic-qla2xxx.x86_64 0:10.00.00.11.80.0-1.xcpng8.0 will be updated
    ---> Package qlogic-qla2xxx.x86_64 0:10.01.00.54.80.0_k-1.xcpng8.1 will be an update
    ---> Package qlogic-qla2xxx-firmware.x86_64 0:8.03.02-1.xcpng8.0 will be updated
    ---> Package qlogic-qla2xxx-firmware.x86_64 0:8.03.02-1.xcpng8.1 will be an update
    ---> Package rrd2csv.x86_64 0:1.1.5-1.xcpng8.0 will be updated
    ---> Package rrd2csv.x86_64 0:1.2.5-3.xcpng8.1 will be an update
    ---> Package rrdd-plugins.x86_64 0:1.5.7-1.xcpng8.0 will be updated
    ---> Package rrdd-plugins.x86_64 0:1.6.7-2.xcpng8.1 will be an update
    ---> Package security-tools.x86_64 0:1.0.0-1.xcpng8.0 will be updated
    ---> Package security-tools.x86_64 0:1.0.0-2.xcpng8.1 will be an update
    ---> Package sm.x86_64 0:2.2.3-1.0.3.xcpng8.0 will be updated
    ---> Package sm.x86_64 0:2.16.1-1.1.xcpng8.1 will be an update
    --> Processing Dependency: xs-presets >= 1.0 for package: sm-2.16.1-1.1.xcpng8.1.x86_64
    --> Processing Dependency: xs-presets >= 1.0 for package: sm-2.16.1-1.1.xcpng8.1.x86_64
    ---> Package sm-cli.x86_64 0:0.23.0-1.xcpng8.0 will be updated
    ---> Package sm-cli.x86_64 0:0.23.0-3.xcpng8.1 will be an update
    ---> Package sm-rawhba.x86_64 0:2.2.3-1.0.3.xcpng8.0 will be updated
    ---> Package sm-rawhba.x86_64 0:2.16.1-1.1.xcpng8.1 will be an update
    ---> Package squeezed.x86_64 0:0.21.0-1.xcpng8.0 will be updated
    ---> Package squeezed.x86_64 0:0.23.0-1.xcpng8.1 will be an update
    ---> Package strace.x86_64 0:4.9-1.1.6.xcpng8.0 will be updated
    ---> Package strace.x86_64 0:4.9-1.1.8.xcpng8.1 will be an update
    ---> Package stunnel_xs.x86_64 0:4.56-6.xs4.xcpng8.0 will be updated
    ---> Package stunnel_xs.x86_64 0:4.56-6.xs4.xcpng8.1 will be an update
    ---> Package systemd.x86_64 0:219-57.1.xcpng8.0 will be updated
    ---> Package systemd.x86_64 0:219-57.1.xcpng8.1 will be an update
    ---> Package systemd-libs.x86_64 0:219-57.1.xcpng8.0 will be updated
    ---> Package systemd-libs.x86_64 0:219-57.1.xcpng8.1 will be an update
    ---> Package systemd-sysv.x86_64 0:219-57.1.xcpng8.0 will be updated
    ---> Package systemd-sysv.x86_64 0:219-57.1.xcpng8.1 will be an update
    ---> Package systemtap-runtime.x86_64 0:4.0-1.xcpng8.0 will be updated
    ---> Package systemtap-runtime.x86_64 0:4.0-2.xcpng8.1 will be an update
    ---> Package tzdata.noarch 0:2018e-3.el7 will be updated
    ---> Package tzdata.noarch 0:2019b-1.el7 will be an update
    ---> Package varstored.x86_64 0:0.6.1-1 will be updated
    ---> Package varstored.x86_64 0:0.8.1-1 will be an update
    --> Processing Dependency: secureboot-certificates for package: varstored-0.8.1-1.x86_64
    ---> Package varstored-guard.x86_64 0:0.3.0-1 will be updated
    ---> Package varstored-guard.x86_64 0:0.5.0-2 will be an update
    ---> Package varstored-tools.x86_64 0:0.6.1-1 will be updated
    ---> Package varstored-tools.x86_64 0:0.8.1-1 will be an update
    ---> Package vcputune.noarch 0:2.0.1-1.xs44.xcpng8.0 will be updated
    ---> Package vcputune.noarch 0:2.0.1-1.xs44.xcpng8.1 will be an update
    ---> Package vendor-drivers.x86_64 0:1.0.0-1.xcpng8.0 will be updated
    ---> Package vendor-drivers.x86_64 0:1.0.1-1.xcpng8.1 will be an update
    ---> Package vendor-update-keys.noarch 0:1.3.6-1.2.xcpng8.0 will be updated
    ---> Package vendor-update-keys.noarch 0:1.3.7-1.1.xcpng8.1 will be an update
    ---> Package vhd-tool.x86_64 0:0.40.0-1.xcpng8.0 will be updated
    ---> Package vhd-tool.x86_64 0:0.42.0-2.xcpng8.1 will be an update
    ---> Package vhostmd.x86_64 0:0.4-xs29.xcpng8.0 will be updated
    ---> Package vhostmd.x86_64 0:0.4-xs30.xcpng8.1 will be an update
    ---> Package vmss.noarch 0:1.1.0-1.xcpng8.0 will be updated
    ---> Package vmss.noarch 0:1.1.0-1.xcpng8.1 will be an update
    ---> Package vncsnapshot.x86_64 0:1.2a-xs18.xcpng8.0 will be updated
    ---> Package vncsnapshot.x86_64 0:1.2a-xs18.xcpng8.1 will be an update
    ---> Package vncterm.x86_64 0:10.1.0-1.xcpng8.0 will be updated
    ---> Package vncterm.x86_64 0:10.2.0-1.xcpng8.1 will be an update
    ---> Package wsproxy.x86_64 0:1.9.0-1.xcpng8.0 will be updated
    ---> Package wsproxy.x86_64 0:1.12.0-1.xcpng8.1 will be an update
    ---> Package xapi-core.x86_64 0:1.160.2-1.xcpng8.0 will be updated
    ---> Package xapi-core.x86_64 0:1.214.1-2.1.xcpng8.1 will be an update
    --> Processing Dependency: xxhash-libs for package: xapi-core-1.214.1-2.1.xcpng8.1.x86_64
    --> Processing Dependency: libxxhash.so.0()(64bit) for package: xapi-core-1.214.1-2.1.xcpng8.1.x86_64
    ---> Package xapi-nbd.x86_64 0:1.9.0-1.1.xcpng8.0 will be updated
    ---> Package xapi-nbd.x86_64 0:1.10.0-3.xcpng8.1 will be an update
    ---> Package xapi-storage.x86_64 0:6.19.0_sxm2-1.xcpng8.0 will be updated
    ---> Package xapi-storage.x86_64 0:8.19.0_sxm2-2.xcpng8.1 will be an update
    ---> Package xapi-storage-script.x86_64 0:0.31.0-1.xcpng8.0 will be updated
    ---> Package xapi-storage-script.x86_64 0:0.33.0-2.xcpng8.1 will be an update
    ---> Package xapi-tests.x86_64 0:1.160.2-1.xcpng8.0 will be updated
    ---> Package xapi-tests.x86_64 0:1.214.1-2.1.xcpng8.1 will be an update
    ---> Package xapi-xe.x86_64 0:1.160.2-1.xcpng8.0 will be updated
    ---> Package xapi-xe.x86_64 0:1.214.1-2.1.xcpng8.1 will be an update
    ---> Package xcp-clipboardd.x86_64 0:1.0.3-4.xcpng8.0 will be updated
    ---> Package xcp-clipboardd.x86_64 0:1.0.3-5.xcpng8.1 will be an update
    ---> Package xcp-emu-manager.x86_64 0:1.1.2-1.xcpng8.0 will be updated
    ---> Package xcp-emu-manager.x86_64 0:1.1.2-2.xcpng8.1 will be an update
    ---> Package xcp-featured.x86_64 0:1.1.1-3.xcpng8.0 will be updated
    ---> Package xcp-featured.x86_64 0:1.1.1-3.xcpng8.1 will be an update
    ---> Package xcp-networkd.x86_64 0:0.44.0-1.xcpng8.0 will be updated
    ---> Package xcp-networkd.x86_64 0:0.53.0-1.xcpng8.1 will be an update
    ---> Package xcp-ng-deps.noarch 0:8.0.0-6 will be updated
    ---> Package xcp-ng-deps.noarch 0:8.1.0-5 will be obsoleting
    --> Processing Dependency: chrony for package: xcp-ng-deps-8.1.0-5.noarch
    ---> Package xcp-ng-generic-lib.x86_64 0:1.1.1-1.xcpng8.0 will be updated
    ---> Package xcp-ng-generic-lib.x86_64 0:1.1.1-2.xcpng8.1 will be an update
    ---> Package xcp-ng-plymouth-theme.noarch 0:1.0.0-4.xcpng8.0 will be updated
    ---> Package xcp-ng-plymouth-theme.noarch 0:1.0.0-5.xcpng8.1 will be an update
    ---> Package xcp-ng-pv-tools.noarch 0:7.41.0-9.xcpng8.0 will be updated
    ---> Package xcp-ng-pv-tools.noarch 0:7.45.0-2.xcpng8.1 will be an update
    ---> Package xcp-ng-release.x86_64 0:8.0.0-13 will be updated
    ---> Package xcp-ng-release.x86_64 0:8.1.0-2 will be an update
    ---> Package xcp-ng-release-config.x86_64 0:8.0.0-13 will be updated
    ---> Package xcp-ng-release-config.x86_64 0:8.1.0-2 will be an update
    ---> Package xcp-ng-xapi-plugins.noarch 0:1.6.1-1.xcpng8.0 will be updated
    ---> Package xcp-ng-xapi-plugins.noarch 0:1.6.1-2.xcpng8.1 will be an update
    ---> Package xcp-python-libs.noarch 0:2.3.0-1.xcpng8.0 will be updated
    ---> Package xcp-python-libs.noarch 0:2.3.2-1.xcpng8.1 will be an update
    ---> Package xcp-rrdd.x86_64 0:1.14.0-1.xcpng8.0 will be updated
    ---> Package xcp-rrdd.x86_64 0:1.24.0-1.xcpng8.1 will be an update
    ---> Package xen-crashdump-analyser.x86_64 0:2.5.3-1.xcpng8.0 will be updated
    ---> Package xen-crashdump-analyser.x86_64 0:2.5.4-1.xcpng8.1 will be an update
    ---> Package xen-dom0-libs.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    --> Processing Dependency: libxenctrl.so.4.11()(64bit) for package: gpumon-0.15.0-1.el7.centos.x86_64
    --> Processing Dependency: libxenlight.so.4.11()(64bit) for package: netdata-1.19.0-1.xcpng8.0.x86_64
    --> Processing Dependency: libxenstat.so.0()(64bit) for package: netdata-1.19.0-1.xcpng8.0.x86_64
    ---> Package xen-dom0-libs.x86_64 0:4.13.0-8.3.xcpng8.1 will be an update
    ---> Package xen-dom0-tools.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    ---> Package xen-dom0-tools.x86_64 0:4.13.0-8.3.xcpng8.1 will be an update
    ---> Package xen-hypervisor.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    ---> Package xen-hypervisor.x86_64 0:4.13.0-8.3.xcpng8.1 will be an update
    ---> Package xen-libs.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    ---> Package xen-libs.x86_64 0:4.13.0-8.3.xcpng8.1 will be an update
    ---> Package xen-tools.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    ---> Package xen-tools.x86_64 0:4.13.0-8.3.xcpng8.1 will be an update
    ---> Package xengt-userspace.noarch 0:4.0.0-1.xcpng8.0 will be updated
    ---> Package xengt-userspace.noarch 0:4.0.0-1.xcpng8.1 will be an update
    ---> Package xenops-cli.x86_64 0:1.7.0-1.xcpng8.0 will be updated
    ---> Package xenops-cli.x86_64 0:1.8.0-1.xcpng8.1 will be an update
    ---> Package xenopsd.x86_64 0:0.101.0-2.xcpng8.0 will be updated
    ---> Package xenopsd.x86_64 0:0.134.1-1.1.xcpng8.1 will be an update
    ---> Package xenopsd-xc.x86_64 0:0.101.0-2.xcpng8.0 will be updated
    ---> Package xenopsd-xc.x86_64 0:0.134.1-1.1.xcpng8.1 will be an update
    ---> Package xenserver-dracut.noarch 0:9-1.xcpng8.0 will be updated
    ---> Package xenserver-dracut.noarch 0:10-1.xcpng8.1 will be an update
    ---> Package xenserver-firstboot.noarch 0:1.0.11-1.1.xcpng8.0 will be updated
    ---> Package xenserver-firstboot.noarch 0:1.0.14-1.1.xcpng8.1 will be an update
    ---> Package xenserver-hwdata.noarch 0:20190202-1.xcpng8.0 will be updated
    ---> Package xenserver-hwdata.noarch 0:20190202-1.xcpng8.1 will be an update
    ---> Package xenserver-status-report.noarch 0:1.1.10-1.xcpng8.0 will be updated
    ---> Package xenserver-status-report.noarch 0:1.2.6-1.xcpng8.1 will be an update
    ---> Package xenserver-transfer-vm.noarch 0:7.1.4-1.xcpng8.0 will be updated
    ---> Package xenserver-transfer-vm.noarch 0:7.1.5-1.xcpng8.1 will be an update
    ---> Package xha.x86_64 0:10.0.1-1.xcpng8.0 will be updated
    ---> Package xha.x86_64 0:10.1.0-1.xcpng8.1 will be an update
    ---> Package xsconsole.x86_64 0:10.1.9-1.4.xcpng8.0 will be updated
    ---> Package xsconsole.x86_64 0:10.1.10-1.2.xcpng8.1 will be an update
    ---> Package xsifstat.x86_64 0:1.0.1-1.xcpng8.0 will be updated
    ---> Package xsifstat.x86_64 0:1.0.1-1.xcpng8.1 will be an update
    ---> Package xsiostat.x86_64 0:1.0.1-1.xcpng8.0 will be updated
    ---> Package xsiostat.x86_64 0:1.0.1-1.xcpng8.1 will be an update
    ---> Package zstd.x86_64 0:1.3.8-1.el7 will be updated
    ---> Package zstd.x86_64 0:1.4.2-1.el7 will be an update
    --> Running transaction check
    ---> Package chrony.x86_64 0:3.2-2.el7 will be installed
    ---> Package xcp-ng-release-presets.x86_64 0:8.1.0-2 will be installed
    ---> Package xcp-ng-secureboot-certs.noarch 0:1.0.0-1 will be installed
    ---> Package xen-dom0-libs.x86_64 0:4.11.1-7.8.xcpng8.0 will be updated
    --> Processing Dependency: libxenctrl.so.4.11()(64bit) for package: gpumon-0.15.0-1.el7.centos.x86_64
    --> Processing Dependency: libxenlight.so.4.11()(64bit) for package: netdata-1.19.0-1.xcpng8.0.x86_64
    --> Processing Dependency: libxenstat.so.0()(64bit) for package: netdata-1.19.0-1.xcpng8.0.x86_64
    ---> Package xxhash-libs.x86_64 0:0.6.5-1.el7 will be installed
    --> Finished Dependency Resolution
    Error: Package: gpumon-0.15.0-1.el7.centos.x86_64 (@install/$releasever)
               Requires: libxenctrl.so.4.11()(64bit)
               Removing: xen-dom0-libs-4.11.1-7.8.xcpng8.0.x86_64 (@xcp-ng-updates)
                   libxenctrl.so.4.11()(64bit)
               Updated By: xen-dom0-libs-4.13.0-8.3.xcpng8.1.x86_64 (xcp-ng-base)
                  ~libxenctrl.so.4.13()(64bit)
    Error: Package: netdata-1.19.0-1.xcpng8.0.x86_64 (@xcp-ng-updates)
               Requires: libxenstat.so.0()(64bit)
               Removing: xen-dom0-libs-4.11.1-7.8.xcpng8.0.x86_64 (@xcp-ng-updates)
                   libxenstat.so.0()(64bit)
               Updated By: xen-dom0-libs-4.13.0-8.3.xcpng8.1.x86_64 (xcp-ng-base)
                   Not found
    Error: Package: netdata-1.19.0-1.xcpng8.0.x86_64 (@xcp-ng-updates)
               Requires: libxenlight.so.4.11()(64bit)
               Removing: xen-dom0-libs-4.11.1-7.8.xcpng8.0.x86_64 (@xcp-ng-updates)
                   libxenlight.so.4.11()(64bit)
               Updated By: xen-dom0-libs-4.13.0-8.3.xcpng8.1.x86_64 (xcp-ng-base)
                  ~libxenlight.so.4.13()(64bit)
     You could try using --skip-broken to work around the problem
     You could try running: rpm -Va --nofiles --nodigest
    [14:10 xcp-ghf-peg01 ~]#
    
  • XCP-ng Team

    @Anonabhar Thanks for the report. Error about netdata is expected because we're still waiting for an upstream fix to build the xenstat plugin against Xen 4.13. @r1 made a pull request that is being reviewed. The error about gpumon is due to a recent change of mine. I'll fix it.

    Workaround: remove the netdata and gpumon packages before updating.


  • @stormi - Thanks for the help.. Yup I removed both packages and now things are going as expected 8-)

    Cant wait to try out the new build!

    ~Peg

  • XCP-ng Team

    A version of netdata patched to build against Xen 4.13 (thanks to @r1's patch) is now available. I'm interested in feedback: does it work for you? Does it gather information about the VMs as expected?

    If you already upgraded to 8.1 beta:

    yum install netdata-ui
    
  • XCP-ng Team

    zstd was updated to version 1.4.4, possibly bringing even better performance for import and export (not benchmarked here).

    To update from 8.1 beta:

    yum update
    

  • New to XCP-ng.
    Upgraded from 8.0 to 8.1 Beta. No problems. Having problems with Local Storage and EXT4 though. I saw that sm-additional-drivers package is still required. Tried to get it via:
    yum install sm-additional-drivers sm sm-rawhba --enablerepo='xcp-ng-updates_testing'
    Loaded plugins: fastestmirror
    Error getting repository data for xcp-ng-updates_testing, repository not found
    Questions:

    1. How to properly download/use sm-additional-drivers package?
    2. Should /etc/fstab be modified and EXT3 be replaced with EXT4?
    3. The command:
      xe sr-create content-type=user name-label="Store1" shared=false device-config:device=/dev/sdc1 type=ext
      works but creates an EXT3 filesystem even though the 6TB drive has an EXT4 partition. How to change the command to create EXT4?
      Thanks!!!
  • XCP-ng Team

    Hi,

    1. Simply yum install sm-additional-drivers in 8.0 and 8.1. If there's outdated doc, feel free to update it or point us at it. However you should not need it for ext4 in 8.1 and I'm going to remove the ext4 additional driver once I've made sure it's not needed anymore and there's a transition path from our ext4 driver to the default one.
    2. For new EXT SRs, I expect ext4 to be in fstab. I'm sure that when I tested it at installation the created SR was ext4. However this won't change an existing ext3 SR to ext4 and you shouldn't modify /etc/fstab if the underlying filesystem is ext3.
    3. I'd expect the filesystem to be ext4 from what I've seen in the code. I'll test it.

  • @stormi
    Your help is much appreciated!
    I was able to yum install sm-additional-drivers. Excellent. I rebooted and the fstab was still saying ext3. This is shown below. To test further, I deleted my SR (a 6TB disk) which was EXT3; used parted and other commands to create a new partition which was EXT4 (shown below) and then used the following:
    xe sr-create content-type=user name-label="Store1" shared=false device-config:device=/dev/sdc1 type=ext

    It created EXT3 LVM2_member type storage repository.

    So, that's my question. How to create an EXT4 SR?

    Thanks.

    I hope my testing shown below is helpful.

    You asked where I found the outdated docs. I found the outdated instructions I used the first time around at the top of the page in https://xcp-ng.org/forum/topic/839/new-ext4-driver-please-test-it
    +++++++++++++++++++++++++++++++++++++++++++++++
    (updated on 2019-02-07 to add installation of updated sm and sm-rawhba packages)

    We introduced in testing, a new extra driver, using ext4. Please test it and give your feedback. To install it:

    yum install sm-additional-drivers sm sm-rawhba --enablerepo='xcp-ng-updates_testing'
    xe-toolstack-restart
    

    My testing follows:
    Removing the SR Storage Repository since it was installed as EXT3.

    [19:05 xcpng ~]# xe sr-list name-label=Store1
    uuid ( RO) : d3f2dfbc-9682-cd51-79c2-be4e1d6c0923
    name-label ( RW): Store1
    name-description ( RW):
    host ( RO): xcpng
    type ( RO): ext
    content-type ( RO): user

    [19:05 xcpng ~]# xe pbd-list sr-uuid=d3f2dfbc-9682-cd51-79c2-be4e1d6c0923
    uuid ( RO) : 0bd2ecc8-78d4-4479-57db-45634b317bd3
    host-uuid ( RO): 67782a24-14f6-4a91-bc53-23d1bb3bfb62
    sr-uuid ( RO): d3f2dfbc-9682-cd51-79c2-be4e1d6c0923
    device-config (MRO): device: /dev/sdc1
    currently-attached ( RO): true

    [19:09 xcpng ~]# xe pbd-unplug uuid=0bd2ecc8-78d4-4479-57db-45634b317bd3

    [19:12 xcpng ~]# xe sr-forget uuid=d3f2dfbc-9682-cd51-79c2-be4e1d6c0923

    Rebooted server

    [19:26 xcpng ~]# cat /etc/fstab
    LABEL=root-glwhel / ext3 defaults 1 1
    LABEL=BOOT-GLWHEL /boot/efi vfat defaults 0 2
    LABEL=swap-glwhel swap swap defaults 0 0
    LABEL=logs-glwhel /var/log ext3 defaults 0 2

    [19:31 xcpng ~]# parted /dev/sdc mklabel gpt
    Warning: The existing disk label on /dev/sdc will be destroyed and all data on
    this disk will be lost. Do you want to continue?
    Yes/No? yes
    Information: You may need to update /etc/fstab.

    [19:34 xcpng ~]# parted -a opt /dev/sdc mkpart primary ext4 0% 100%
    Information: You may need to update /etc/fstab.

    [19:35 xcpng ~]# mkfs.ext4 -L STORE1 /dev/sdc1
    mke2fs 1.42.9 (28-Dec-2013)
    Filesystem label=STORE1
    OS type: Linux
    Block size=4096 (log=2)
    Fragment size=4096 (log=2)
    Stride=0 blocks, Stripe width=0 blocks
    183144448 inodes, 1465130240 blocks
    73256512 blocks (5.00%) reserved for the super user
    First data block=0
    Maximum filesystem blocks=3613392896
    44713 block groups
    32768 blocks per group, 32768 fragments per group
    4096 inodes per group
    Superblock backups stored on blocks:
    32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,
    4096000, 7962624, 11239424, 20480000, 23887872, 71663616, 78675968,
    102400000, 214990848, 512000000, 550731776, 644972544

    Allocating group tables: done
    Writing inode tables: done
    Creating journal (32768 blocks): done
    Writing superblocks and filesystem accounting information: done

    [19:36 xcpng ~]# lsblk -f
    NAME FSTYPE LABEL UUID MOUNTPOINT
    nvme0n1
    ??nvme0n1p1 LVM2_mem hmjtFc-J03x-cGWz-60no-nQMY-WAcs-yfYuCK
    ??XSLocalEXT--b64be29d--7b4e--4c35--23ad--c2835d6d68c9-b64be29d--7b4e--4c35--23ad--c2835d6d68c9
    ext3 4932e44b-06ab-45d6-944c-f95c57aa40c0 /run/sr-mo
    sdd
    ??sdd1 ext4 STORE2 d6b13b13-4066-4470-add7-ffe978b24a50

    sdc
    ??sdc1 ext4 STORE1 80901059-41fa-4089-aa8f-65e6929afea6
    sda LVM2_mem DzdKkZ-zud3-MXhE-GFCS-hzB4-a6K5-NU2qoQ
    ??XSLocalEXT--dd84c28d--6d39--ac03--28d3--99c18c24aa68-dd84c28d--6d39--ac03--28d3--99c18c24aa68
    ext3 ebd0226e-01da-4ec6-8dd4-1bdb007bcb92 /run/sr-mo
    [19:37 xcpng ~]#
    [19:40 xcpng ~]# lsblk -d -fs /dev/sdc1
    NAME FSTYPE LABEL UUID MOUNTPOINT
    sdc1 ext4 STORE1 80901059-41fa-4089-aa8f-65e6929afea6

    [19:45 xcpng ~]# xe sr-create content-type=user name-label="Store1" shared=false device-config:device=/dev/sdc1 type=ext
    2cd1c746-c5aa-1376-66bb-5fb9d89ad689

    [19:48 xcpng ~]# lsblk -d -fs /dev/sdc1
    NAME FSTYPE LABEL UUID MOUNTPOINT
    sdc1 LVM2_member Oe9xwf-UqrZ-FeNI-CZwI-7Sn0-ua21-nvDPGy

  • XCP-ng Team

    Hi,

    Please use the correct Markdown syntax (code blocks) so it would be easier to read you.


  • @stormi said in XCP-ng 8.1.0 beta now available!:

    yum repolist --verbose

    I just had the time to look at this and this is the output.
    It is clear why I do not see the updates since the xcp-ng repo is still pointing to the 8.0
    Only thing is I do not understand why it did not update to the 8.1 repo I wget before ....

    xcp-ng-release-8.0.0-13.x86_64
    [10:51 xenserver-2 ~]# yum repolist --verbose
    Loading "fastestmirror" plugin
    Config time: 0.833
    Yum version: 3.4.3
    Loading mirror speeds from cached hostfile
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-base: mirrors.xcp-ng.org
    Excluding mirror: updates.xcp-ng.org
     * xcp-ng-updates: mirrors.xcp-ng.org
    Setting up Package Sacks
    pkgsack time: 1.180
    Repo-id      : dell-system-update_dependent/7/x86_64
    Repo-name    : dell-system-update_dependent
    Repo-revision: 1568175395
    Repo-updated : Wed Sep 11 06:16:38 2019
    Repo-pkgs    : 45
    Repo-size    : 173 M
    Repo-mirrors : https://linux.dell.com/repo/hardware/DSU_19.09.00/mirrors.cgi?osname=el7&basearch=x86_64&native=1
    Repo-baseurl : https://linux.dell.com/repo/hardware/DSU_19.09.00/os_dependent/RHEL7_64/
    Repo-expire  : 21,600 second(s) (last: Wed Feb  5 22:39:17 2020)
      Filter     : read-only:present
    Repo-filename: /etc/yum.repos.d/dell-system-update.repo
    
    Repo-id      : dell-system-update_independent
    Repo-name    : dell-system-update_independent
    Repo-revision: 1568175279
    Repo-updated : Wed Sep 11 06:16:15 2019
    Repo-pkgs    : 697
    Repo-size    : 11 G
    Repo-baseurl : https://linux.dell.com/repo/hardware/DSU_19.09.00/os_independent/
    Repo-expire  : 21,600 second(s) (last: Wed Feb  5 22:39:18 2020)
      Filter     : read-only:present
    Repo-exclude : dell-system-update*.i386
    Repo-filename: /etc/yum.repos.d/dell-system-update.repo
    
    Repo-id      : xcp-ng-base
    Repo-name    : XCP-ng Base Repository
    Repo-revision: 1563798190
    Repo-updated : Mon Jul 22 14:23:10 2019
    Repo-pkgs    : 2,073
    Repo-size    : 2.3 G
    Repo-baseurl : http://mirrors.xcp-ng.org/8/8.0/base/x86_64/,
                 : http://updates.xcp-ng.org/8/8.0/base/x86_64/
    Repo-expire  : 21,600 second(s) (last: Wed Feb  5 22:39:20 2020)
      Filter     : read-only:present
    Repo-filename: /etc/yum.repos.d/xcp-ng.repo
    
    Repo-id      : xcp-ng-updates
    Repo-name    : XCP-ng Updates Repository
    Repo-revision: 1576509411
    Repo-updated : Mon Dec 16 16:16:51 2019
    Repo-pkgs    : 116
    Repo-size    : 199 M
    Repo-baseurl : http://mirrors.xcp-ng.org/8/8.0/updates/x86_64/,
                 : http://updates.xcp-ng.org/8/8.0/updates/x86_64/
    Repo-expire  : 21,600 second(s) (last: Wed Feb  5 22:39:21 2020)
      Filter     : read-only:present
    Repo-filename: /etc/yum.repos.d/xcp-ng.repo
    
    repolist: 2,931
    
  • XCP-ng Team

    What files do you have in /etc/yum.repos.d? Does /etc/yum.repos.d/xcp-ng.repo correctly point at 8.1? Is there another repo file there that points à 8.0?


  • @stormi

    I checked the /etc/ym.repos.d and there were repositories for CentOS-Base, -Debuginfo, -Sources, dell-system-update, epel and epel-testing. Only the dell repo was enabled, none of them contained references to xcp-ng

    the other repo was like expected the xcp-ng.repo
    This contained the reference to 8.0, not 8.1

    I was able to make it work by again doing the copy command for the 8.1 repo I initially got with the wget from /root.
    I checked and this time it did correctly replace the 8.0 repo to 8.1

    I do not know why it did not do so before. There is no indication in the output the cp command did not do its' thing the first time.

    Anyway, thanks for helping me and pointing in the right direction. Just started the update to 8.1 now


  • Ok, new issue after the update:
    After the reboot of the server none of the VM's were started (including the VM with XO from the sources). I checked this in the status screen with a display connected to the server.

    I downloaded the latest daily version of xcp-ng center. Was able to connect to the server but no vm's were started as suspected.

    There I saw an error for my ISO repository that resides on my NAS (Samba). Trying to solve it from xcp-ng center did not work (SM has thrown thrown a generic python exception).

    I was able to start the XO vm and from there when trying to reconnect the ISO repository I got this error in the log:
    SR_HAS_NO_PBDS(OpaqueRef:d259a8f1-6bbe-46bb-b135-447bb352e888)

    When trying to reconnect from the console:

    [13:21 xenserver-2 ~]# xe pbd-list
    uuid ( RO)                  : 46ee05c2-2f4d-ecbf-cbbd-5194384df464
                 host-uuid ( RO): 0092f4dd-09ae-41ba-98e6-2d45febf0e77
                   sr-uuid ( RO): ebc08968-b804-4cd5-7c1e-9e5f2c37e2de
             device-config (MRO): iso_path: /Xen; location: //n5550.home.xxx.yyy/Bestanden; type: cifs; vers: 3.0
        currently-attached ( RO): false
    
    
    [13:22 xenserver-2 ~]# xe pbd-plug uuid=46ee05c2-2f4d-ecbf-cbbd-5194384df464
    Error code: SR_BACKEND_FAILURE_1200
    Error parameters: , 'username',
    
XCP-ng Pro Support

XCP-ng Pro Support